Bug 64247 - Install hangs during initial kernel load
Install hangs during initial kernel load
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2002-04-30 10:53 EDT by Need Real Name
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-30 11:39:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-04-30 10:53:32 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020313

Description of problem:
After selecting graphical or text install kernel begins to load
and probes IDE controller. At this point the kernel load hangs.
Tyan Tiger 230 (Model 2507D) 
Pentium III 800EB x 2
Atapi CD-Rom is primary master on ATA-66 controller
ATAPI CDBurner is secondary slave on ATA-66 controller
Maxtor 80GB drive is device 1 on ATA-100 controller

The system is being booted from cd-rom (pri master)

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Select either text or graphical install
2.Watch kernel begin to initialize
3.When kernel probes IDE subsystem it hangs

Actual Results:  System froze, accepted no keyboard input.

Expected Results:  Kernel should've finished loading and installation program

Additional info:
Comment 1 Arjan van de Ven 2002-04-30 14:33:16 EDT
Ehm you're aware that having a slave without a master is an illegal configuration ?
Comment 2 Need Real Name 2002-04-30 16:58:57 EDT
This config has worked in the past, minus the ATA100 drive, however I will
retest with a proper IDE bus configuration (i.e. no slave w/o master) and close
bug if that resolves it.
Comment 3 Need Real Name 2002-05-01 10:31:38 EDT
This is definitely a problem with the Promise ATA/100 controller on the
motherboard. I tried the following configurations with the following results:
1) Pri Master & Sec Master on ATA/66 controller, 80GB HDD on ATA/100 - locked up
when probing ATA/100 controller.
2) Pri Master, Pri Slave on ATA/66, 80GB HDD as Sec Master on ATA/66 -
sucessfull installation. Saw same printk messages when probing, however it did
not hang. 

Please let me know if any additional testing or info could be of use.
Comment 4 Need Real Name 2002-05-03 10:04:42 EDT
Correction of one piece of info, the motherboard is not, in fact, a Tyan but an
MSI 694D Pro. Same chipsets, just different board. The tyan doesn't actually
HAVE an ATA/100 controller iirc.
Comment 5 Bugzilla owner 2004-09-30 11:39:32 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.